---
title: Add DMC Postal Code Local Rate
slug: api-documentation/add-dmc-postal-code-local-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "4Z-X6uJcAUJgzav88Wiss",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate"
      }
    ],
    "name": "Add DMC Postal Code Local Rate",
    "description": "<p>This endpoint is used to configure postal code local rates for DMC.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n<li><code>dmc-shipping-calc.update</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "postalCode",
          "type": "string",
          "description": "The postal code of the stored record which is to be updated."
        }
      ],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "",
          "minItems": 1,
          "uniqueItems": true,
          "customType": "DMCPostalCodeLocalRate[]",
          "schema": [
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "Site identifiers for which this configuration is added.",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "postalCode",
              "kind": "required",
              "type": "string",
              "description": "The postal code for which the rates are specified.",
              "minLength": 1
            },
            {
              "name": "isFreight",
              "kind": "optional",
              "type": "boolean",
              "description": "A flag that tells whether this configuration is freight or local."
            },
            {
              "name": "isActive",
              "kind": "optional",
              "type": "boolean",
              "description": "A flag that tells whether this configuration is active or not."
            },
            {
              "name": "localDeliveryRate",
              "kind": "required",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/LocalDeliveryRate",
              "customType": "LocalDeliveryRate",
              "schema": [
                {
                  "name": "dropOff",
                  "kind": "required",
                  "type": "number",
                  "description": "Drop off service rate."
                },
                {
                  "name": "whiteGlove",
                  "kind": "required",
                  "type": "number",
                  "description": "White glove service rate."
                },
                {
                  "name": "whiteGlovePlus",
                  "kind": "required",
                  "type": "number",
                  "description": "White glove plus service rate."
                },
                {
                  "name": "dropOffExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "Drop off service rate after including extra products."
                },
                {
                  "name": "whiteGloveExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "White glove service rate after including extra products."
                },
                {
                  "name": "whiteGlovePlusExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "White glove plus service rate after including extra products."
                },
                {
                  "name": "quantity",
                  "kind": "required",
                  "type": "number",
                  "description": "Quantity for which these configurations are applicable."
                },
                {
                  "name": "haulAwayEnabled",
                  "kind": "optional",
                  "type": "boolean",
                  "description": "Is Haul Away Allowed for this entry"
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/DMCPostalCodeLocalRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK-the postal code rates are added successfully.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "dx9ic1rkkVkw9k7uLORit",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '[\n     {\n     \"siteIds\": [],\n     \"postalCode\": \"\",\n     \"localDeliveryRate\": {\n     \"dropOff\": \"\",\n     \"whiteGlove\": \"\",\n     \"whiteGlovePlus\": \"\",\n     \"dropOffExtraCharges\": \"\",\n     \"whiteGloveExtraCharges\": \"\",\n     \"whiteGlovePlusExtraCharges\": \"\",\n     \"quantity\": \"\"\n     }\n     }\n     ]'"
        },
        {
          "id": "Yk1CHDO0Hg8m145vwtfk5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify([\n   {\n      \"siteIds\": [],\n      \"postalCode\": \"\",\n      \"localDeliveryRate\": {\n         \"dropOff\": \"\",\n         \"whiteGlove\": \"\",\n         \"whiteGlovePlus\": \"\",\n         \"dropOffExtraCharges\": \"\",\n         \"whiteGloveExtraCharges\": \"\",\n         \"whiteGlovePlusExtraCharges\": \"\",\n         \"quantity\": \"\"\n      }\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "C29La2Ewz1b-JwxdAG8xx",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump([\n   {\n      \"siteIds\": [],\n      \"postalCode\": \"\",\n      \"localDeliveryRate\": {\n         \"dropOff\": \"\",\n         \"whiteGlove\": \"\",\n         \"whiteGlovePlus\": \"\",\n         \"dropOffExtraCharges\": \"\",\n         \"whiteGloveExtraCharges\": \"\",\n         \"whiteGlovePlusExtraCharges\": \"\",\n         \"quantity\": \"\"\n      }\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QK5WnXNxa4_HuY7MZ0Fo9",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-local-rate\"\n\npayload = json.dumps([\n   {\n      \"siteIds\": [],\n      \"postalCode\": \"\",\n      \"localDeliveryRate\": {\n         \"dropOff\": \"\",\n         \"whiteGlove\": \"\",\n         \"whiteGlovePlus\": \"\",\n         \"dropOffExtraCharges\": \"\",\n         \"whiteGloveExtraCharges\": \"\",\n         \"whiteGlovePlusExtraCharges\": \"\",\n         \"quantity\": \"\"\n      }\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "dx9ic1rkkVkw9k7uLORit"
    },
    "results": {
      "languages": [
        {
          "id": "UAbg1QihWzTb6zvmlsLRT",
          "language": "200",
          "code": "// OK-the postal code rates are added successfully.\n"
        },
        {
          "id": "15l6K2F7fG9XeMMDfR2JP",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "R6tAu1IXM1ZPMIV3E38wS",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "UAbg1QihWzTb6zvmlsLRT"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}